Mailinglist Archive: opensuse (1620 mails)

< Previous Next >
Re: [opensuse] Why those packages wish to be installed?
On 11/21/2014 11:00 AM, Anton Aylward wrote:
On 11/21/2014 10:39 AM, jdd wrote:
Le 21/11/2014 15:39, Anton Aylward a écrit :

You reasoning for why a new (do you mean newly added or what?)

yes, newly added

That makes no sense.


repository should have a lower priority makes no sense.

I mean specially for packman. there are duplicate packages in standard
repos and in packman and I want packman ones

That makes no sense.

Like others here I use Darktable and like many other I make use of the
Toganm_Photography repository. The owner pulls and complies the latest
updates daily. So far he's ALWAYS more up to date than the openSuse
repositories. So far. But if the openSuse one are ever more up to date
then I want THAT one and no his!

I suspect you are in the same situation with packman, you want the most
up to date, regardless of whether its in the main repo or the packman repo.

Now if you have both at the same priority you will always get the more
recent one. Unless, and I admit its unlikely, just as its unlikely that
the main repo will have the most up to date version of Darktable, the
main repo has a more up to date version of something than packman's
repo, wouldn't you want that? Isn't the whole point of these alternate
repos to get either stuff that isn't in the main repo (in which case
differential priority doesn't matter) or the most up to date version?


Not if the "more to date" one is crippled due to legal reasons. Packman is probably "special" in that the repo provides packages that are not crippled in which case I DO NOT want the newer crippled one.



--
Ken Schneider
SuSe since Version 5.2, June 1998

--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >